.navbar {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}


.navbar-dark .navbar-nav .nav-link {
    padding: 10px 12px !important;
    font-size: 14px;
}

#header-carousel,
#header-carousel .carousel-item {
    height: 550px; 
}

#header-carousel .carousel-item img {
    height: 100%;
    object-fit: cover;
}

#header-carousel .carousel-caption {
    height: 100%;
}

@media (max-width: 768px) {
    
    #header-carousel,
    #header-carousel .carousel-inner,
    #header-carousel .carousel-item {
        height: 90vh;
    }

    #header-carousel .carousel-item img {
        height: 100%;
        object-fit: cover;
    }

    .carousel-caption {
        padding: 20px;
    }

    .carousel-caption h3 {
        font-size: 42px;
    }

    .carousel-caption h4 {
        font-size: 20px;
    }
}

@media (max-width: 768px) {
    .about-image {
        display: none !important;
    }
}

@media (max-width: 768px) {
    .about-image {
        display: none !important;
    }

    .about-text {
        width: 100% !important;
        flex: 0 0 100%;
        max-width: 100%;
        padding-left: 15px !important;
        padding-right: 15px !important;
    }
}

@media (max-width: 768px) {

    .container-fluid.py-5 {
        padding-top: 20px !important;
        padding-bottom: 20px !important;
    }

    .container.py-5 {
        padding-top: 20px !important;
        padding-bottom: 20px !important;
    }

}

@media (max-width: 768px) {

    .testimonial-image {
        display: none !important;
    }

    .testimonial-section .col-md-7 {
        flex: 0 0 100%;
        max-width: 100%;
        padding-left: 15px !important;
    }

}

@media (max-width: 768px) {

    .portfolio-section {
        padding-top: 15px !important;
        padding-bottom: 15px !important;
        margin-bottom: 0 !important;
    }

    .portfolio-section .container {
        padding-top: 5px !important;
        padding-bottom: 5px !important;
    }

    .portfolio-section .text-center.mb-4 {
        margin-bottom: 10px !important;
    }

    .portfolio-container {
        margin-bottom: 0 !important;
        padding-bottom: 0 !important;
    }

    .testimonial-section {
        padding-top: 0 !important;
        margin-top: -80px; 
    }

}

.wa-float {
  position: fixed;
  bottom: 20px; 
  right: 20px;
  z-index: 999;
  transition: all 0.3s ease-in-out;
}

.wa-float img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  box-shadow: 0 4px 8px rgba(0,0,0,0.3);
}

.wa-float:hover {
  transform: scale(1.5);
  filter: brightness(1.2);
}


